﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.UserLogin
@{
    ViewData["Title"] = "Index";
}
<style>
    a:hover {
        color: white;
    }

    .btn-group {
        width: 100%;
    }

        .btn-group-vertical > .btn, .btn-group > .btn {
            float: inherit;
            width: 100%;
        }

            btn-group-vertical > .btn, .btn-group > .btn:focus, btn-group-vertical > .btn, .btn-group > .btn.focus {
                outline: 0;
                box-shadow: none;
            }
    .domaincls {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }
</style>
<script src="~/Script/Master/Layout.js"></script>
<script>
    function fn_saveUser() {
        debugger
        if ($('#OrgID').val() > 0) {
            OrganizationId = $("#OrgID option:selected").val();
            Organization = $("#OrgID option:selected").text();
            var ClientXML = [], Sn = 0;
            $('#tblClientAdmin tr').each(function (i, item) {
                ClientXML[i] = {
                    ClientId: $(this).find('.txtClientId').val(),
                    ClientName: $(this).find('.txtClientName').val(),
                    AssignRoleClientId: $(this).find('.DropDownListClient option:selected').val(),
                    AssignRoleClient: $(this).find('.DropDownListClient option:selected').text(),
                }
            })
            var model = {
                OrganizationId: OrganizationId,
                Organization: Organization,
                ClientAdminXml: JSON.stringify(ClientXML),
            }
            $.post('/ApplicationManagement/OrganizationUser/SubmitClientAdmin', { model: model }, function (res) {
                $('#preloader').hide();
                $('#tblClientAdmin tbody').empty();
                $('#exampleModalCenter').modal('hide');
                $(".modal-backdrop").remove();
                $.get('/ApplicationManagement/OrganizationUser/Index2', function (res) { $('#ajaxresult').html(res) });
            });
        }
        else {
            toastr.error('Please select Organization');
        }
    }

    $('#btnView').click(function () {
        if ($('#Id option:selected').length > 0) $('#btnsave').show();
        $('#tblClientAdmin tbody').empty();
        var ICDControlTypeMapXML = [], SNo = 0
        $('#Id option:selected').each(function (i, e) {
            var str = $(e).text();
            if ($(this).val() == 'multiselect-all') {
                return;

            }
            else {
                ICDControlTypeMapXML[SNo] = {
                    Id: parseInt($(this).val()),
                    UserName: $(e).text()

                }
                SNo++;
            }

        });
        var CurrenTteam = JSON.stringify(ICDControlTypeMapXML);
        var str = JSON.parse(CurrenTteam);
        var SrNo = 0;

        $.getJSON('/ApplicationManagement/OrganizationUser/GetClientList', { TeamId: CurrenTteam }, function (str4) {
            debugger
            $('#tblClientAdmin tbody').append(str4);
        });
    })

    $.getJSON('/ApplicationManagement/OrganizationUser/getClientadmin', {}, function (res) {
        debugger
        $('#tblclientAdminList').append(res.str1);
    });
    function fn_ShowFun(input) {
        $.getJSON('/ApplicationManagement/OrganizationUser/getClientadmin', { OrgId: $(input).val() }, function (res) {
            debugger
            $('#tblClientAdmin tbody').empty();
            $('#tblclientAdminList tbody').empty();
            $('#tblclientAdminList tbody').append(res.str1);
            $('#tblClientAdmin tbody').append(res.str2);

            var str = res.strr;
            var arr = str.split(',');
            $('#Id').val(arr);
            $('#Id').multiselect('refresh');
            if ($('#tblclientAdminList tbody tr:visible').length === 0) {
                $('#tblclientAdminList tbody').append("<tr><td colspan='5'>No record found..</td></tr>");
            }
        });
    }
    function fn_AddUserPopup() {
        $('#btnsave').hide();
        if ($("#OrgID option:selected").val() > 0) {
            $('#exampleModalCenter').modal('show');
            $(".modal-backdrop").addClass('in');
            
        } 
        else {
            toastr.error('Please select organization!');
           
        }
        if ($('#Id option:selected').val() > 0) {
            $('#btnsave').show();
        }
    }

    function Confirmation(input, parentOrgName) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You are about to delete User Name details to ' + parentOrgName,
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            if (result.isConfirmed) {
                $('#preloader').show();
                $.get('/ApplicationManagement/OrganizationUser/DeleteClientAdmin', { Id: input }, function (res) {
                    debugger
                    $('#preloader').hide();
                    toastr.success(parentOrgName + ' deleted successfully');
                    $.get('/ApplicationManagement/OrganizationUser/Index2', function (res) { $('#ajaxresult').html(res) });
                })
            }
        })
    }

</script>

<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Current Users
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="AccountManagement" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Select Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlOrganization , "Select an Option", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun(this)" })
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="addbtn">
                                <div class="addbtn">
                                    <div class="add_litigation">
                                        <span>+</span>
                                        <input type="button" name="add User" onclick="fn_AddUserPopup()" value="Add User">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="assign_box active_block fade in">
                                <div class="table_control">
                                    <table id="tblclientAdminList" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                <th>Organization</th>
                                                <th>
                                                    User Name
                                                </th>
                                                <th>
                                                    Role Assigned
                                                </th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-4">
                Client Admin
            </div>
            <div class="modal-body">
                <div class="row pb-3">
                    <div class="col-md-2 col-sm-6">
                        Select Team
                    </div>
                    <div class="col-md-4 col-sm-6">
                        @Html.HiddenFor(x => x.RoleId, new { id = "RoleId" })
                        @Html.DropDownListFor(m => m.Id, Model.UserSelectList, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple" })
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <button type="button" id="btnView" class="btn btn-primary">Next</button>
                    </div>
                </div>
                <table id="tblClientAdmin" class="table pt-3">
                    <tbody>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <a class="btn btn-danger" data-dismiss="modal" href="#exampleModalCenter">Close</a>
                <button type="button" id="btnsave" class="btn btn-primary" onclick="fn_saveUser()" style="display: none;">Save</button>
            </div>
        </div>
    </div>
</div>